Package ghidra.app.plugin.processors.sleigh

# Class PcodeEmitObjects

java.lang.Object
ghidra.app.plugin.processors.sleigh.PcodeEmit
ghidra.app.plugin.processors.sleigh.PcodeEmitObjects

public class PcodeEmitObjects extends PcodeEmit

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.processors.sleigh.PcodeEmit

  `incache, labeldef, numOps`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PcodeEmitObjects(ParserWalker walk)`
  Pcode emitter constructor for producing PcodeOp objects for unimplemented, snippets or empty responses when `PcodeEmit.getFallOffset()` will not be used.
  `PcodeEmitObjects(ParserWalker walk, int fallOffset)`
  Pcode emitter constructor for producing PcodeOp objects for unimplemented, snippets or empty responses.
  `PcodeEmitObjects(ParserWalker walk, InstructionContext ictx, int fallOffset, PcodeOverride override)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PcodeOp[]`
  `getPcodeOp()`
  `void`
  `resolveRelatives()`
  Now that we have seen all label templates and references convert the collected references into full relative addresses

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.PcodeEmit

  `build, getFallOffset, getStartAddress, getWalker`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PcodeEmitObjects

    public PcodeEmitObjects(ParserWalker walk)
    Pcode emitter constructor for producing PcodeOp objects for unimplemented, snippets or empty responses when `PcodeEmit.getFallOffset()` will not be used.
    Parameters:
      `walk` - state of the ParserContext from which to generate p-code

  - ### PcodeEmitObjects

    public PcodeEmitObjects(ParserWalker walk, int fallOffset)
    Pcode emitter constructor for producing PcodeOp objects for unimplemented, snippets or empty responses.
    Parameters:
      `walk` - state of the ParserContext from which to generate p-code
      `fallOffset` - default fall-through offset (i.e., the full length of instruction including delay-sloted instructions)

  - ### PcodeEmitObjects

    public PcodeEmitObjects(ParserWalker walk, InstructionContext ictx, int fallOffset, PcodeOverride override)
    Parameters:
      `walk` - state of the ParserContext from which to generate p-code
      `ictx` - is the InstructionContext used to resolve delayslot and crossbuild directives
      `fallOffset` - default instruction fall offset (i.e., instruction length including delay slotted instructions)
      `override` - required if pcode overrides are to be utilized

- ## Method Details

  - ### getPcodeOp

    public PcodeOp[] getPcodeOp()

  - ### resolveRelatives

    public void resolveRelatives()
    Description copied from class: `PcodeEmit`
    Now that we have seen all label templates and references convert the collected references into full relative addresses
    Specified by:
      `resolveRelatives` in class `PcodeEmit`